import logging

from ArtNet.gui.windows.browser.picture_browser import Ui_MainWindow
from ArtNet.gui.windows.artnet_mainwindow import ArtnetMainWindow


class BrowseWindow(ArtnetMainWindow):

    UNKNOWN_TITLE = "-Title Unknown-"

    def __init__(self, main):
        super().__init__(main)

        self.ui = Ui_MainWindow()
        self.ui.setupUi(self)

        self.ui.actionArtNet_Importer.triggered.connect(self.on_importer_clicked)

    def display_image(self, image_title: str, image_authors: list, full_path: str, relative_path: str, art_ID: int,
                      link: str, file_name: str, description: str):
        """
        Display the described image in the GraphicsView
        """

    def on_importer_clicked(self):
        logging.debug("Clicked on open ArtNet importer!")
        self.main.switch_to_importer()
